Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeRenderMaterial Class Reference

the material renderstate class. Methods are pretty self-explanatory More...

`#include <deRenderStates.hpp>`

Inheritance diagram for IdeRenderMaterial:

[legend]
Collaboration diagram for IdeRenderMaterial:

[legend]
List of all members.

## Public Types
enum | MatSource_t { MATSOURCE_INVALID = -1, MATSOURCE_MATERIAL = 0, MATSOURCE_DIFFUSE, MATSOURCE_SPECULAR, MATSOURCE_COUNT, MATSOURCE_FORCE_32BIT = 0x7FFFFFFF }
## Public Member Functions
virtual IdeRenderState::Type | GetRSType () const=0
virtual deBoolean | SetAmbientColor (deColor *AmbientColor)=0
virtual deBoolean | GetAmbientColor (deColor *AmbientColor) const=0
virtual deBoolean | SetDiffuseColor (deColor *DiffuseColor)=0
virtual deBoolean | GetDiffuseColor (deColor *DiffuseColor) const=0
virtual deBoolean | SetSpecularColor (deColor *SpecularColor)=0
virtual deBoolean | GetSpecularColor (deColor *SpecularColor) const=0
virtual deBoolean | SetEmissiveColor (deColor *EmissiveColor)=0
virtual deBoolean | GetEmissiveColor (deColor *EmissiveColor) const=0
virtual deBoolean | SetAmbientSource (MatSource_t Source)=0
virtual MatSource_t | GetAmbientSource () const=0
virtual deBoolean | SetDiffuseSource (MatSource_t Source)=0
virtual MatSource_t | GetDiffuseSource () const=0
virtual deBoolean | SetSpecularSource (MatSource_t Source)=0
virtual MatSource_t | GetSpecularSource () const=0
virtual deBoolean | SetEmissiveSource (MatSource_t Source)=0
virtual MatSource_t | GetEmissiveSource () const=0
virtual deBoolean | SetSpecularPower (float Power)=0
virtual float | GetSpecularPower () const=0
virtual const MatData * | GetAllData () const=0
virtual deBoolean | SetAllData (const MatData *Data)=0
## Protected Member Functions
virtual | ~IdeRenderMaterial ()

## Detailed Description

the material renderstate class. Methods are pretty self-explanatory

## Member Enumeration Documentation

enum IdeRenderMaterial::MatSource_t

  | Enumeration values:
  MATSOURCE_INVALID |
  MATSOURCE_MATERIAL | Use the material's values.
  MATSOURCE_DIFFUSE | Use the vertex diffuse values.
  MATSOURCE_SPECULAR | Use the vertex diffuse values.
  MATSOURCE_COUNT |
  MATSOURCE_FORCE_32BIT |

## Constructor & Destructor Documentation

virtual IdeRenderMaterial::~IdeRenderMaterial | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const MatData* IdeRenderMaterial::GetAllData | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::GetAmbientColor | ( | deColor * | AmbientColor | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual MatSource_t IdeRenderMaterial::GetAmbientSource | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::GetDiffuseColor | ( | deColor * | DiffuseColor | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual MatSource_t IdeRenderMaterial::GetDiffuseSource | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::GetEmissiveColor | ( | deColor * | EmissiveColor | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual MatSource_t IdeRenderMaterial::GetEmissiveSource | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual IdeRenderState::Type IdeRenderMaterial::GetRSType | ( |  | ) | const`[pure virtual]`

| Implements IdeRenderState. Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::GetSpecularColor | ( | deColor * | SpecularColor | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual float IdeRenderMaterial::GetSpecularPower | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual MatSource_t IdeRenderMaterial::GetSpecularSource | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetAllData | ( | const MatData * | Data | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetAmbientColor | ( | deColor * | AmbientColor | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetAmbientSource | ( | MatSource_t | Source | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetDiffuseColor | ( | deColor * | DiffuseColor | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetDiffuseSource | ( | MatSource_t | Source | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetEmissiveColor | ( | deColor * | EmissiveColor | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetEmissiveSource | ( | MatSource_t | Source | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetSpecularColor | ( | deColor * | SpecularColor | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetSpecularPower | ( | float | Power | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

virtual deBoolean IdeRenderMaterial::SetSpecularSource | ( | MatSource_t | Source | ) | `[pure virtual]`

| Implemented in deRenderMaterial.

The documentation for this class was generated from the following file:

- deRenderStates.hpp